Skip to content

Update Saved Report

Request

PUT /v3/reports/grid/saved/{id}
Security
API_Key
Path
idinteger, (int64)required

ID of the saved report

Bodyapplication/jsonrequired
namestring, non-emptyrequired

Name of the saved report

descriptionstring

Optional description of the saved report

labelsArray of integers

List of label IDs to associate with the saved report

isFavoriteboolean

Indicates if the saved report is marked as favorite by the current user

visibilitystringrequired
Enum:"private""public"
queryDefinitionobject

Default Grid request body properties. Default behaviour:

  • if no page number is specified, default is 0 (the first results page)
  • if no size is specified, default is 100
  • if no filters are specified, default is to return all runs Default behaviour for exports:
  • if page and size are not specified, all available rows will be exported
displayMetadataobject

Display metadata for the saved report

libraryMetadataobject

Metadata required to show the saved report in the library

visualizationsArray of objects, >= 0 items
PUT
/v3/reports/grid/saved/{id}
curl -i -X PUT \
  'https://api.observepoint.com/v3/reports/grid/saved/{id}' \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "description": "string",
    "labels": [
      0
    ],
    "isFavorite": true,
    "visibility": "private",
    "queryDefinition": {
      "size": 10,
      "page": 0,
      "filters": {
        "conditions": [
          {
            "negated": false,
            "operator": "string_contains",
            "filteredColumn": {
              "groupBy": false,
              "columnId": "string",
              "format": "string"
            },
            "fieldName": "id",
            "arg": "string",
            "wildcardStart": true,
            "wildcardEnd": true
          }
        ],
        "conditionMatchMode": "all"
      },
      "columns": [
        {
          "groupBy": false,
          "columnId": "string",
          "format": "string"
        }
      ],
      "sortBy": [
        {
          "columnIndex": 0,
          "sortDesc": false
        }
      ],
      "totals": [
        {
          "columnIndex": 0,
          "aggregateFunction": "avg"
        }
      ]
    },
    "displayMetadata": {},
    "libraryMetadata": {},
    "visualizations": [
      {
        "name": "string",
        "definition": {}
      }
    ]
  }'

Responses

Saved report updated successfully

Response
No content